#!/bin/bash

db2 -v connect to specdb user db2inst3 using r0chester

BPArray=(
        "IBMDEFAULTBP"  "24000000"
        "SPEC_BP"       "2000"
        "JMS_BP"        "5000"
        "M_INV_BP"      "1000000"
        "M_PARTS_BP"    "120000"
        "M_BOM_BP"      "25791"
        "M_WO_BP"       "30000"
        "M_WO2_BP"      "2000"
        "M_OL_BP"       "2000"
        "O_O_BP"        "168000"
        "O_O2_BP"       "72000"
        "O_OL_BP"       "100000"
        "O_CI_BP"       "3100000"
        "O_C_BP"        "240000"
        "O_ITEM_BP"     "3050"
        "O_ITEM2_BP"    "2000"
        "S_C_BP"        "240000"
        "S_S_C_BP"      "400000"
        "S_S_BP"        "2000"
        "S_P_O_BP"      "722380"
        "S_P_O2_BP"     "2000"
        "S_P_OL_BP"     "142693"
)

#        "M_PARTS_BP"    "14593"
for (( i=0; i<${#BPArray[@]}; i++ ));
do
  db2 -v "alter bufferpool ${BPArray[$i]} immediate size ${BPArray[$i+1]} automatic"
  i=$i+1
done

db2 -v terminate

